.product-media {
    margin-bottom: rem(36);

    &__gallery {

    }

    &__thumbs {
        display: flex;
        align-items: center;
    }

    &__thumb {
        flex-grow: 1;
        height: rem(80);
        cursor: pointer;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: 100% auto;
    }

    @include media-breakpoint-up(md) {
        display: flex;

        &__gallery {
            width: calc(100% - 10rem);
        }

        &__thumbs {
            width: rem(160);
            flex-shrink: 0;
            flex-direction: column;
        }

        &__thumb {
            width: 100%;
            flex-grow: 1;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-right: rem(20);

    }

    @include media-breakpoint-up(xxl) {
        padding-right: rem(60);

        &__thumbs {
            width: rem(240);
        }

        &__gallery {
            width: calc(100% - 15rem);
        }

    }
}

.product {
    margin-bottom: rem(32);

    &__header {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(29);
        margin-bottom: rem(22);
    }

    &__content {
        font-size: rem(14);
        line-height: rem(17);
    }

    &__nav {
        margin-bottom: rem(22);
        display: flex;
        align-items: center;

        &--button {
            margin: 0;
            padding: 0;
            border: none;
            outline: none;
            position: relative;
            white-space: nowrap;
            display: inline-block;
            background: transparent;
            padding-bottom: rem(4);
            font-weight: 400;
            font-size: rem(14);
            line-height: rem(17);

            &:not(:last-child) {
                margin-right: rem(60);
            }

            &:before {
                left: 0;
                right: 0;
                bottom: 0;
                content: '';
                height: rem(2);
                display: block;
                background: $blue;
                opacity: 0;
                visibility: hidden;
                position: absolute;
            }

            &.active {
                font-weight: 700;

                &:before {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }

    &__param {
        display: flex;
        align-items: center;
        margin-bottom: rem(6);

        &--icon {
            height: rem(14);
            flex-shrink: 0;
            font-size: 0;
            line-height: 0;
            margin-right: rem(8);
            display: inline-block;
        }

        &--text {
            display: inline-block;
        }
    }
    &__equipment {
        display: flex;
        margin-bottom: rem(12);

        &--label {
            font-weight: 700;
            margin-right: rem(10);
        }

        &--sm {
            width: auto;

            &:not(:last-of-type) {
                margin-right: rem(28);
            }
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(52);

        &__header {
            font-size: rem(30);
            line-height: rem(37);
            margin-bottom: rem(28);
        }
    }

    @include media-breakpoint-up(xl) {

        &__equipments {
            display: flex;
            flex-wrap: wrap;
            white-space: nowrap;
        }

        &__equipment {

            &:not(:last-child) {
                margin-right: rem(45);
            }
        }
    }
}

.color-static {
    width: rem(18);
    height: rem(18);
    font-size: 0;
    line-height: 0;
    border-radius: 50%;
    margin-right: rem(6);
    display: inline-block;
}

.product-data {
    color: $black;
    font-size: rem(14);
    line-height: rem(17);
    background: $white;
    padding: rem(24) rem(18) rem(32) rem(18);
    border: 1px solid $white;
    box-shadow: 0px 0px 20px rgba(51, 51, 51, 0.1);
    border-radius: rem(10);

    &__group {
        margin-bottom: rem(20);
    }

    &__label {
        font-size: rem(14);
        line-height: rem(18);
        display: flex;
        align-items: center;
        margin-bottom: rem(8);

        &--text {
            font-weight: 700;
            margin-right: rem(5);
            display: block;
        }
    }

    &__term {
        margin: 0 rem(-4);
        display: flex;

        &--item {
            flex-grow: 1;
            padding: 0 rem(4);
        }
    }

    &__color {
        margin-bottom: rem(32);
    }

    &__price {
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(17);
        text-align: center;
        margin-bottom: rem(28);

        &--value {
            font-weight: 700;
            font-size: rem(24);
            line-height: rem(30);
        }
    }

    &__structure {

    }

    &__title {
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(20);
        margin-bottom: rem(12);
    }

    &__structure {
        padding: 0;
        list-style: none;
        margin: 0 0 rem(20) 0;

        li {
            padding-left: rem(24);
            background: url("../img/icon_check.svg") 0.25rem 0.25rem no-repeat;

            &:not(:last-child) {
                margin-bottom: rem(8);
            }
        }
    }

    &__button {
        margin-bottom: rem(12);

        .btn {
            width: 100%;
        }
    }

    &__text {
        text-align: center;
        margin-bottom: rem(24);
    }

    &__body {
        margin-bottom: rem(32);
    }

    &--sm {
        display: block;
    //    max-width: rem(670);
        margin: 0 auto rem(32) auto;
    }

    &--xl {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding: rem(30);

        &--sm {
            margin-bottom: rem(42);
        }

        &__wrap {
            margin: 0 auto;
            width: rem(332);
        }

        &__price {
            margin-bottom: rem(24);
        }

        &__structure {
            margin-bottom: rem(40);
        }

        &__row {
            margin: 0 auto;
            max-width: rem(670);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__body {
            margin-bottom: 0;
            width: rem(306);
            flex-shrink: 0;
        }

        &__checkout {
            width: rem(252);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(42) rem(52);

        &__price {
            margin-bottom: rem(28);
        }

        &--sm {
           display: none;
        }

        &--xl {
            display: block;
        }
    }
}

.product-color {

    &__title {
        text-align: center;
        font-size: 14px;
        line-height: 17px;
        margin-bottom: rem(12);

        &--label {
            font-weight: 700;
        }
    }

    &__content {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__item {
        margin: 0 rem(4);
    }
}

.color-switch {
    font-size: 0;
    line-height: 0;
    display: block;
    position: relative;

    input {
        @include visually-hidden;
    }

    &__label {
        width: rem(32);
        height: rem(32);
        cursor: pointer;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        fill: $white;

        i {
            height: rem(14);
            display: inline-block;
            flex-shrink: 0;
            opacity: 0;
            visibility: hidden;
        }

        &--border {
            border: 1px solid #B6B6B6;
            fill: $black;
        }
    }

    input:checked + .color-switch__label i {
        opacity: 1;
        visibility: visible;
    }
}

.product-choice {
    color: $white;
    overflow: hidden;
    font-size: rem(14);
    line-height: rem(17);
    text-align: center;
    background: #009FDF;
    position: relative;
    border-radius: rem(20);
    padding: rem(170) rem(40) rem(30) rem(40);

    &__content {
        z-index: 20;
        position: relative;
    }

    &__title {
        font-weight: 800;
        font-size: rem(24);
        line-height: rem(28);
        margin-bottom: rem(6);
        text-transform: uppercase;
    }

    &__text {
        margin-bottom: rem(15);
    }

    .btn {
        min-width: rem(202);
    }

    &__media {
        top: rem(30);
        left: 50%;
        margin-left: rem(-168);
        width: rem(236);
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        padding: rem(40);
        height: rem(322);
        font-size: rem(18);
        line-height: rem(22);
        text-align: left;
        display: flex;
        flex-direction: column;

        &__content {
            margin: auto 0;
        }

        &__title {
            font-size: rem(36);
            line-height: rem(70);
            margin-bottom: 0;
        }

        &__text {
            margin-bottom: rem(18);
        }

        .btn {
            min-width: rem(232);
        }

        &__media {
            left: auto;
            right: rem(32);
            margin-left: 0;
            width: rem(458);
            top: calc(50% - 7.625rem);
        }
    }
}

.product-advantages {
    display: none;

    &__item {
        font-size: rem(14);
        line-height: rem(17);
        background: $white;
        border-radius: rem(10);
        padding: rem(30) rem(20) rem(20) rem(20);
        box-shadow: 10px 32px 72px rgba(51, 51, 51, 0.05);
    }

    &__icon {
        height: rem(40);
        margin-bottom: rem(12);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(40);
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        padding-top: 0;
        margin-bottom: rem(30);
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {
        grid-column-gap: rem(16);
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;

        &__item {
            padding: rem(20) rem(6) rem(20) rem(14);
        }
    }
}

.showcase {
    padding-top: rem(80);
    margin-bottom: rem(72);

    .swiper {
        overflow: visible;
    }

    @media (max-width: 1199px) {

        .swiper-wrapper {
            width: 100%;
            display: grid;
            grid-row-gap: rem(20);
            grid-column-gap: rem(20);
        }
    }

    @media (max-width: 767px) {

        .swiper-wrapper {
            grid-template-columns: 1fr;
        }
    }

    @media (min-width: 768px) and (max-width: 1199px) {

        .swiper-wrapper {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(75);
    }

    @include media-breakpoint-up(xl) {

        &__header {
            margin-bottom: rem(10);
        }

        &__main {
            margin: 0 rem(-27);
        }

        .swiper {
            overflow: hidden;
        }

        .swiper-slide {
            padding: rem(27);
        }

        .item {
            box-shadow: 2px 15px 15px rgba(51, 51, 51, 0.05);
        }
    }
}

.main-block {
    padding-top: rem(12);

    @include media-breakpoint-up(xl) {

        &__row {
            display: flex;
            justify-content: space-between;
        }

        &__content {
            padding-right: rem(20);
            width: calc(100% - 27.25rem);
        }

        &__sidebar {
            width: rem(435);
        }
    }

    @include media-breakpoint-up(xxl) {

    }


    @include media-breakpoint-up(xxl) {

        &__sidebar {
            margin-right: rem(-50);
        }
    }
}

.goback {
    color: $black;
    font-size: rem(14);
    line-height: rem(17);
    white-space: nowrap;
    text-decoration: none;
    display: inline-flex;
    align-items: center;

    i {
        height: rem(16);
        display: inline-block;
        margin-right: rem(12);
        flex-shrink: 0;
        stroke: $black;
    }

    span {
        display: inline-block;
    }

    &:hover {
        color: $blue;
        stroke: $blue;
        text-decoration: none;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(20);
    }
}

.block-inverse-xl {

    @include media-breakpoint-up(xl) {
        display: flex;
        flex-direction: column-reverse;
    }
}

.data-slider {
    font-size: 0;
    line-height: 0;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;

    &__item {
        cursor: pointer;
        text-align: center;
        display: block;
        position: relative;
        flex-grow: 1;

        &:after,
        &:before {
            top: rem(6);
            z-index: 1;
            content: '';
            width: 50%;
            height: rem(6);
            display: block;
            position: absolute;
            background: #0078C3;
        }

        &:after {
            left: 0;
        }

        &:before {
            left: 50%;
        }

        &:first-child {
            text-align: left;
        }

        &:last-child {
            text-align: right;
        }

        &.active {

            &:after {
                background: #0078C3;
            }

            &:before {
                background: #F8F8F8;
            }

            &:first-child {

                &:after {
                    background: #F8F8F8;
                }

            }

            &:last-child {

                &:before {
                    background: #0078C3;
                }
            }

            .data-slider {

                &__point {
                    background: #0078C3;
                }
            }

            ~ .data-slider__item {

                &:after,
                &:before {
                    background: #F8F8F8;
                }

                .data-slider__point {
                    background: #F8F8F8;
                }
            }
        }
    }

    &__input {
        @include visually-hidden();

        &:checked + .data-slider__point {
            background: #0078C3;
        }
    }

    &__point {
        width: rem(18);
        height: rem(18);
        z-index: 10;
        position: relative;
        display: inline-block;
        border-radius: 50%;
        background: #0078C3;
    }

    &__legend {
        color: $black;
        display: block;
        padding-top: rem(12);
        font-size: rem(14);
        line-height: rem(18);
    }
}

.color-switcher {
    display: flex;
    align-items: center;
    justify-content: center;
}
